=== debian/control ===
Source: zmailer
Section: mail
Priority: extra
Maintainer: Hector Garcia <hector@debian.org>
Build-Depends: binutils, cpp, debhelper (>= 3), libdb2-dev, libgdbm-dev, libwrap0, libwrap0-dev, locales, libpam0g-dev, ed
Standards-Version: 3.2.1

Package: zmailer
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, netbase
Provides: mail-transport-agent
Suggests: mail-reader, metamail
Conflicts: mail-transport-agent
Description: Mailer for Extreme Performance Demands
 This is a package that implements an internet Message Transfer Agent
 called ZMailer.  It is intended for gateways or mail servers or other
 large site environments that have extreme demands on the abilities of
 the mailer.  It was motivated by the problems of the Sendmail design
 in such situations. ZMailer is one of the mailers able to deal with
 huge quantities of mail and is more efficient any other mailer, qmail
 included, mostly due to its excellent queueing algorithms.
 .
 Most users don't need this package -- for most users, sendmail or exim or
 smail will suffice.
