=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

#Not yet
#CFLAGS = -O2 -Wall
#ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
#	CFLAGS += -g
#endif
      
build: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr/lib/zmailer \
		--with-postoffice=/var/spool/postoffice \
		--with-system-malloc \
		--with-mailshare=/etc/zmailer \
		--with-mailvar=/etc/zmailer \
		--with-zconfig=/etc/zmailer/zmailer.conf \
		--with-mailbin=/usr/lib/zmailer \
		--includedir=/usr/lib/zmailer \
		--with-sendmailpath=/usr/sbin/sendmail \
		--with-logdir=/var/log/zmailer \
		--with-rmailpath=/usr/sbin/rmail 

	# --with-openssl-include=/usr/include/openssl 
	# --with-openssl-lib=/usr/lib

	# Add here commands to compile the package.
	$(MAKE) 
	# CFLAGS="$(CFLAGS)"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	rm -f config.status

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/zmailer.
	$(MAKE) install prefix=`pwd`/debian/zmailer

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
	dh_undocumented newfqdnaliases.1
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister

	rm -f debian/zmailer/etc/zmailer/ChangeLog
#	rm -f debian/zmailer/usr/usr/lib/zmailer/rmail \
#		debian/zmailer/usr/usr/sbin/rmail
	rm -f debian/zmailer/etc/zmailer/config.status

	(cd debian/zmailer/usr/sbin && rm -f rmail ; \
		ln -s ../lib/zmailer/rmail)
	(cd debian/zmailer/usr/sbin && rm -f sendmail ; \
		ln -s ../lib/zmailer/sendmail)
	(cd debian/zmailer/usr/bin && rm -f newaliases ; \
		ln -s ../lib/zmailer/newaliases)
	(cd debian/zmailer/usr/bin && rm -f mailq ; \
		ln -s ../lib/zmailer/mailq)
	(cd debian/zmailer/usr/bin && rm -f vacation ; \
		ln -s ../lib/zmailer/vacation.sh vacation)
#	(cd debian/zmailer/etc/zmailer && ln -s proto/sm.conf)
#	(cd debian/zmailer/etc/zmailer && ln -s proto/scheduler.conf)
#	(cd debian/zmailer/etc/zmailer && ln -s proto/smtpserver.conf)
#	(cd debian/zmailer/etc/zmailer && ln -s cf/TELE-FI.cf router.cf)
#	(cd debian/zmailer/etc/zmailer/db && ln -s proto/fqdnaliases)
#	(cd debian/zmailer/etc/zmailer/db && ln -s proto/localnames)
#	(cd debian/zmailer/etc/zmailer/db && ln -s proto/routes)
#	(cd debian/zmailer/etc/zmailer/db && ln -s proto/smtp-policy.relay)
#	(cd debian/zmailer/etc/zmailer/db && ln -s proto/smtp-policy.src)
	(cd debian/zmailer/etc/zmailer/cf/ && cp proto/* ./)
	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
